<bugID>1378794<Summary>When temporary panels are destroyed, the ViewHide event may be dispatched on the wrong panelview</Summary><Description>I noticed this issue whilst working intensively with temporary panels in bug 1354532: the 'ViewHide' event is always dispatched on the `viewNode` that was set in the very beginning, but meanwhile another subview may have already been shown in the panel before it's destroyed.
This causes the `viewNode` to receive the 'ViewHide' event for the second time and the current viewpanel to never receive it.</Description></bugID>